NX Open C++ Reference Guide
|
Represents an avoidance start of engage Builder
Created in NX6.0.0.
More...
Public Types | |
enum | AxialPlaneModes { AxialPlaneModesNone, AxialPlaneModesPoint, AxialPlaneModesDistance } |
The axial plane mode options Created in NX6.0.0. More... | |
enum | RadialPlaneModes { RadialPlaneModesNone, RadialPlaneModesPoint, RadialPlaneModesDistance } |
The radial plane mode options Created in NX6.0.0. More... | |
Public Member Functions | |
NXOpen::CAM::TurnAvoidanceClearanceBuilder::AxialPlaneModes | AxialPlaneMode () |
Returns the axial plane mode Created in NX6.0.0. | |
NXOpen::Point * | AxialPlanePoint () |
Returns the axial plane point Created in NX6.0.0. | |
double | AxialPlaneValue () |
Returns the axial plane value Created in NX6.0.0. | |
NXOpen::CAM::TurnAvoidanceClearanceBuilder::RadialPlaneModes | RadialPlaneMode () |
Returns the radial plane mode Created in NX6.0.0. | |
NXOpen::Point * | RadialPlanePoint () |
Returns the radial plane point Created in NX6.0.0. | |
double | RadialPlaneValue () |
Returns the radial plane value Created in NX6.0.0. | |
void | SetAxialPlaneMode (NXOpen::CAM::TurnAvoidanceClearanceBuilder::AxialPlaneModes axialPlaneMode) |
Sets the axial plane mode Created in NX6.0.0. | |
void | SetAxialPlanePoint (NXOpen::Point *axialPlanePoint) |
Sets the axial plane point Created in NX6.0.0. | |
void | SetAxialPlaneValue (double axialPlaneValue) |
Sets the axial plane value Created in NX6.0.0. | |
void | SetRadialPlaneMode (NXOpen::CAM::TurnAvoidanceClearanceBuilder::RadialPlaneModes radialPlaneMode) |
Sets the radial plane mode Created in NX6.0.0. | |
void | SetRadialPlanePoint (NXOpen::Point *radialPlanePoint) |
Sets the radial plane point Created in NX6.0.0. | |
void | SetRadialPlaneValue (double radialPlaneValue) |
Sets the radial plane value Created in NX6.0.0. | |
![]() | |
tag_t | GetTag () const |
<b>Deprecated</b>:<br> Use Tag instead. | |
tag_t | Tag () const |
Returns the tag of this object. | |
Represents an avoidance start of engage Builder
Created in NX6.0.0.
NXOpen::CAM::TurnAvoidanceClearanceBuilder::AxialPlaneModes NXOpen::CAM::TurnAvoidanceClearanceBuilder::AxialPlaneMode | ( | ) |
Returns the axial plane mode
Created in NX6.0.0.
License requirements : None
NXOpen::Point* NXOpen::CAM::TurnAvoidanceClearanceBuilder::AxialPlanePoint | ( | ) |
Returns the axial plane point
Created in NX6.0.0.
License requirements : None
double NXOpen::CAM::TurnAvoidanceClearanceBuilder::AxialPlaneValue | ( | ) |
Returns the axial plane value
Created in NX6.0.0.
License requirements : None
NXOpen::CAM::TurnAvoidanceClearanceBuilder::RadialPlaneModes NXOpen::CAM::TurnAvoidanceClearanceBuilder::RadialPlaneMode | ( | ) |
Returns the radial plane mode
Created in NX6.0.0.
License requirements : None
NXOpen::Point* NXOpen::CAM::TurnAvoidanceClearanceBuilder::RadialPlanePoint | ( | ) |
Returns the radial plane point
Created in NX6.0.0.
License requirements : None
double NXOpen::CAM::TurnAvoidanceClearanceBuilder::RadialPlaneValue | ( | ) |
Returns the radial plane value
Created in NX6.0.0.
License requirements : None
void NXOpen::CAM::TurnAvoidanceClearanceBuilder::SetAxialPlaneMode | ( | NXOpen::CAM::TurnAvoidanceClearanceBuilder::AxialPlaneModes | axialPlaneMode | ) |
Sets the axial plane mode
Created in NX6.0.0.
License requirements : cam_base ("CAM BASE")
axialPlaneMode | the axial plane mode value |
void NXOpen::CAM::TurnAvoidanceClearanceBuilder::SetAxialPlanePoint | ( | NXOpen::Point * | axialPlanePoint | ) |
Sets the axial plane point
Created in NX6.0.0.
License requirements : cam_base ("CAM BASE")
axialPlanePoint | the axial plane point value |
void NXOpen::CAM::TurnAvoidanceClearanceBuilder::SetAxialPlaneValue | ( | double | axialPlaneValue | ) |
Sets the axial plane value
Created in NX6.0.0.
License requirements : cam_base ("CAM BASE")
axialPlaneValue | the axial plane value value |
void NXOpen::CAM::TurnAvoidanceClearanceBuilder::SetRadialPlaneMode | ( | NXOpen::CAM::TurnAvoidanceClearanceBuilder::RadialPlaneModes | radialPlaneMode | ) |
Sets the radial plane mode
Created in NX6.0.0.
License requirements : cam_base ("CAM BASE")
radialPlaneMode | the radial plane mode value |
void NXOpen::CAM::TurnAvoidanceClearanceBuilder::SetRadialPlanePoint | ( | NXOpen::Point * | radialPlanePoint | ) |
Sets the radial plane point
Created in NX6.0.0.
License requirements : cam_base ("CAM BASE")
radialPlanePoint | the radial plane point value |
void NXOpen::CAM::TurnAvoidanceClearanceBuilder::SetRadialPlaneValue | ( | double | radialPlaneValue | ) |
Sets the radial plane value
Created in NX6.0.0.
License requirements : cam_base ("CAM BASE")
radialPlaneValue | the radial plane value value |